Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## groovy.inspect.swingui
[Groovy] Class TreeNodeWithProperties

    java.lang.Object
      javax.swing.tree.DefaultMutableTreeNode
          groovy.inspect.swingui.TreeNodeWithProperties

    class TreeNodeWithProperties
    extends DefaultMutableTreeNode

This class is a TreeNode and you can store additional properties on it.

Authors:
  Hamlet D'Arcy

Field Summary

Fields inherited from class DefaultMutableTreeNode
EMPTY_ENUMERATION

Property Summary
`List` | `properties`

Constructor Summary
`TreeNodeWithProperties(def userObject, List properties)` Creates a tree node and attaches properties to it.

Method Summary

Methods inherited from class DefaultMutableTreeNode
add, toString, clone, getParent, remove, remove, insert, setParent, getPath, getIndex, children, getRoot, getDepth, getChildCount, isLeaf, isRoot, getLevel, getFirstChild, getNextSibling, getAllowsChildren, getChildAt, breadthFirstEnumeration, depthFirstEnumeration, getChildAfter, getChildBefore, getFirstLeaf, getLastChild, getLastLeaf, getLeafCount, getNextLeaf, getNextNode, getPreviousLeaf, getPreviousNode, getPreviousSibling, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, removeAllChildren, removeFromParent, setAllowsChildren, setUserObject, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### properties

    List properties

Constructor Detail

### TreeNodeWithProperties

    TreeNodeWithProperties(def userObject, List properties)

  Creates a tree node and attaches properties to it.
  Parameters:
    `userObject` - same as a DefaultMutableTreeNode requires
    `properties` - a list of String lists

Copyright © 2003-2010 The Codehaus. All rights reserved.